]> git.etc.gen.nz Git - mythtv-status.git/commitdiff
Make shell scripts cleaner for shellcheck
authorAndrew Ruthven <andrew@etc.gen.nz>
Sat, 15 Jul 2023 13:39:03 +0000 (01:39 +1200)
committerAndrew Ruthven <andrew@etc.gen.nz>
Sun, 16 Jul 2023 04:17:12 +0000 (16:17 +1200)
ChangeLog
bin/mythtv-update-motd
bin/mythtv_recording_now
bin/mythtv_recording_soon
molly-guard/40-mythtv-recording-soon

index db8a14531076e9b35b7cb67439dcbde6c954c74f..6b368f07cb17ea4fe56a9aa64b3ed0717e30f812 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -4,6 +4,8 @@
   Include my Makefile in the tarball, this allows using "make install" to install
   mythtv-status.
 
+  Make all shell scripts much clenaer according to shellcheck.
+
   Refresh URLs in FAQ, update libmythtv-perl package name.
 
   Remove obsolete question/answer from FAQ as my patch for improving storage
index fce90c66d4d3c982e9cf898b23e9910af4764a8d..7f613f16dbbbe9ca0ea0685b8e99423cd8900c63 100755 (executable)
@@ -16,9 +16,9 @@ NAME=mythtv-update-motd
 [ -r /etc/sysconfig/mythtv-status ] && . /etc/sysconfig/mythtv-status
 
 # Support the old RUN variable
-[ x$UPDATE_MOTD = x ] && UPDATE_MOTD=$RUN
+[ "$UPDATE_MOTD" = "" ] && UPDATE_MOTD=$RUN
 
-if [ x$UPDATE_MOTD != xyes -o -f /var/lib/mythtv-status/motd_update_disabled ]
+if [ "$UPDATE_MOTD" != "yes" ] || [ -f /var/lib/mythtv-status/motd_update_disabled ]
 then
   exit
 fi
@@ -49,7 +49,7 @@ else
     DISTRO='unknown'
   fi
 
-  if [ $DISTRO = 'fedora' ]
+  if [ "$DISTRO" = 'fedora' ]
   then
     WORKFILE=/etc/motd
     STUBFILE=/etc/motd.stub
@@ -79,11 +79,11 @@ else
 fi
 
 # Support the old ARGS variable
-[ x$UPDATE_MOTD_ARGS = x ] && UPDATE_MOTD_ARGS=$ARGS
+[ "$UPDATE_MOTD_ARGS" = "" ] && UPDATE_MOTD_ARGS=$ARGS
 
 ret=0
 mythtv-status $UPDATE_MOTD_ARGS -h $HOST >> $TEMPFILE || ret=$?
-if [ $ret -eq 0 -o $ret -eq 1 ]; then
+if [ $ret -eq 0  ] || [ $ret -eq 1 ]; then
   if [ ! -f $TEMPFILE ]; then
     echo My temporary file has gone away, failed.
     exit 1
index d32102933f53a3d6cf10f83dfd1e3385433655b6..ebff386bda53a2806d6a967aa99226bfbe237e93 100755 (executable)
@@ -15,7 +15,7 @@ then
   . /etc/default/mythtv-status
 fi
 
-/usr/bin/mythtv-status -h ${HOST:=localhost} --return-code-only --recording-now
+/usr/bin/mythtv-status -h "${HOST:=localhost}" --return-code-only --recording-now
 
 if [ $? -eq 1 ]
 then
index d92d8899941a257f4de21de1085b3bad95ed05ed..44d4abbe2b0570854b4a7a34bc83b011462ec1c5 100755 (executable)
@@ -22,7 +22,7 @@ else
   ARGS="--recording-in-warn 600"
 fi
 
-/usr/bin/mythtv-status -h ${HOST:=localhost} --return-code-only \
+/usr/bin/mythtv-status -h "${HOST:=localhost}" --return-code-only \
   --recording-now --next-recording $ARGS
 
 if [ $? -eq 1 ]
index d241dd8a25a445bbf1cb386f7e17d6843d7bcc42..09a35069327ecae34ac8ffafa2eb98aa2c4c62e6 100755 (executable)
@@ -1,10 +1,16 @@
 #!/bin/sh
+# Copyright (c) 2008-2023 Andrew Ruthven <andrew@etc.gen.nz>
+# This code is hereby licensed for public consumption under the GNU GPL v3.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
 ME=molly-guard
 
 if [ ! -f /usr/bin/mythtv_recording_soon ]; then
-  echo "I: I can't find /usr/bin/mythtv_recording_soon, skipping check" >&2
-  exit 0;
+  echo "I: $ME: I can't find /usr/bin/mythtv_recording_soon, skipping check" >&2
+  exit 0
 fi
 
 HOSTNAME="$(hostname --short)"
@@ -17,13 +23,13 @@ sigh()
 
 
 if /usr/bin/mythtv_recording_soon; then
-  trap 'echo;sigh' 1 2 3 10 12 15
-  echo -n "MythTV is either recording now, or will be soon. Type YES to $MOLLYGUARD_CMD: "
+  trap 'echo;sigh' 1 2 3 10 12 15
+  printf "MythTV is either recording now, or will be soon. Type YES to %s: " "$MOLLYGUARD_CMD"
   read CONFIRM || :
 
-  [ $(echo "x$CONFIRM" | tr 'A-Z' 'a-z') = "xyes" ] || sigh
+  [ "$(echo "$CONFIRM" | tr 'A-Z' 'a-z')" = "yes" ] || sigh
 
-  trap - 1 2 3 10 12 15
+  trap - 1 2 3 10 12 15
 fi
 
 exit 0